<div class="row">
  <div class="col-sm-6 col-md-8 col-lg-9">
    <h1 id="aboutTitle">Over deze applicatie</h1>
    <p>
      Deze applicatie is gemaakt in het kader van het vak 'Clientside web frameworks' van Avans Hogeschool
      Breda.
    </p>
    <h3>Uitgaven Lijst</h3>
    <p>
      Deze website is ontstaan om het bijhouden van uitgaven makkelijker te maken. Momenteel worden de uitgaven aan boodschappen bijgehouden in een Excel bestand. Het is de bedoeling dat deze website dit Excel document gaat vervangen. Daarbij is het van belang dat meerdere gebruikers uitgaven in kunnen vullen.
    </p>
  </div>
  <div class="col-sm-6 col-md-4 col-lg-3">
    <div class="card">
      <div class="d-flex justify-content-center align-items-center">
        <img
          src="assets/images/Foto.jpg"
          class="card-img-top rounded-circle border profile-pic"
          alt="..."
        />
      </div>
      <div class="card-body">
        <h5 class="card-title">Tessa Numan</h5>
        <p class="card-text">
          Studentnummer: 2099235
        </p>
      </div>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-12">
    <h3>User stories</h3>
    <i>User</i>
    <br>Als gebruiker wil ik een account kunnen registreren.
    <br>Als gebruiker wil ik kunnen inloggen en uitloggen.
     <br><i>Overview</i>
     <br>Als gebruiker wil ik een overzicht kunnen toevoegen.
     <br>Als gebruiker wil ik een andere gebruiker kunnen toevoegen aan een lijst.
     <br>Als gebruiker wil ik een lijst kunnen opvragen met alle ingevoerde overzichten.
     <br>Als gebruiker wil ik de details van een overzicht kunnen inzien.
     <br>Als gebruiker wil ik de details van een overzicht kunnen wijzigen.
     <br>ALs gebruiker wil ik een overzicht kunnen verwijderen.
    <br><i>Expense</i>
    <br>Als gebruiker wil ik een uitgave kunnen toevoegen aan een overzicht.
    <br>Als gebruiker wil ik de details van een uitgave kunnen inzien.
    <br>Als gebruiker wil ik een uitgave kunnen verwijderen.
    <br><i>Store</i>
    <br>Als gebruiker wil ik een winkel kunnen toevoegen.
    <br>Als gebruiker wil ik een lijst kunnen opvragen met alle ingevoerde winkels.
    <br>Als gebruiker wil ik de details van een winkel kunnen inzien.
    <br>Als gebruiker wil ik de details van een winkel kunnen wijzigen.
    <br>Als gebruiker wil ik een winkel kunnen verwijderen.
   <p></p>
    </div>
</div>

<h3>Entiteiten</h3>
<div class="row">
  <div class="col-sm-12 col-md-4">
    <p>Expense</p>
    <ul>
      <li>ExpenseId : string</li>
      <li>Amount : number</li>
      <li>Date : DateTime</li>
      <li>StoreRef : Store</li>
      <li>UserRef : User</li>
      <li>OverviewRef : Overview</li>
    </ul>
  </div>
  <div class="col-sm-12 col-md-4">
    <p>Store</p>
    <ul>
      <li>StoreId : string</li>
      <li>Name : string</li>
      <li>PhoneNumber : string</li>
      <li>Address : Address</li>
    </ul>
  </div>
  <div class="col-sm-12 col-md-4">
    <p>Overview</p>
    <ul>
      <li>OverviewId : string</li>
      <li>Name : string</li>
      <li>Description : string</li>
      <li>Year : number</li>
      <li>UserRefs : User[]</li>
      <li>ExpenseRefs : Expense[]</li>
    </ul>
  </div>
  <div class="col-sm-12 col-md-4">
    <p>User</p>
    <ul>
      <li>UserId : string</li>
      <li>Name : string</li>
      <li>EmailAddress : string</li>
      <li>PhoneNumber : string</li>
      <li>Address : Address</li>
    </ul>
  </div>
  <div class="col-sm-12 col-md-4">
    <p>Address</p>
    <ul>
      <li>AddressId : string</li>
      <li>City : string</li>
      <li>Street : string</li>
      <li>HouseNumber : string</li>
      <li>PostalCode : string</li>
    </ul>
  </div>
</div>

<div class="row">
  <div class="col-12">
    <h3>Database diagram</h3>
    <img
    src="assets/images/dbdiagram.png"
    class="img-fluid"
    alt="diagram"
  />
    </div>
</div>

<div class="row">
  <div class="col-12">
    <h3>Use Cases</h3>
    <p>De applicatie biedt de volgende functionaliteit.</p>
    <div *ngFor="let UC of useCases">
      <app-usecase [useCase]="UC"></app-usecase>
    </div>
  </div>
</div>
